#!/bin/bash

# script to automate the procesing of the adi files
# called via crontab

cd /home/USERNAME/adi2html
NOW=`date | sed 's/ /-/g'`

# Process WSJT-X adi file
if [ -f ./wsjtx_log.adi ]
then
	date >> ./adi2html.log
	./adi2html.sh >> ./adi2html.log 2>&1
	mv ./wsjtx_log.adi ./wsjtx_log.adi.$NOW
	echo "=============================================" >> ./adi2html.log
	cp ./WSJT_log.html /var/www/YOUR-WEBSITE/html/
	rm ./WSJT_log.html
fi

# Process CW adi file
if [ -f ./M0AWS-CW.adi ]
then
	date >> ./adi2html.log
	./adi2html.sh ./M0AWS-CW.adi cw >> ./adi2html.log 2>&1
	mv ./M0AWS-CW.adi ./M0AWS-CW.adi.$NOW
	echo "=============================================" >> ./adi2html.log
	cp ./M0AWS-CW.html /var/www/YOUR-WEBSITE/html/M0AWS_CW_Log.html
	rm ./M0AWS-CW.html
fi

# Process SSB adi file
if [ -f ./M0AWS-SSB.adi ]
then
	date >> ./adi2html.log
        ./adi2html.sh ./M0AWS-SSB.adi ssb >> ./adi2html.log 2>&1
        mv ./M0AWS-SSB.adi ././M0AWS-SSB.adi.$NOW
	echo "=============================================" >> ./adi2html.log
        cp ./M0AWS-SSB.html /var/www/YOUR-WEBSITE/html/M0AWS-SSB.html
        rm ./M0AWS-SSB.html
fi

# Process FM adi file
if [ -f ./M0AWS-FM.adi ]
then
	date >> ./adi2html.log
        ./adi2html.sh ./M0AWS-FM.adi fm >> ./adi2html.log 2>&1
        mv ./M0AWS-FM.adi ./M0AWS-FM.adi.$NOW
	echo "=============================================" >> ./adi2html.log
        cp ./M0AWS-FM.html /var/www/YOUR-WEBSITE/html/M0AWS_FM_Log.html
        rm ./M0AWS-FM.html
fi

# Process CW Map PNG
if [ -f ./m0aws-cw-log-map.png ]
then
	date >> ./adi2html.log
	echo "Copying ./m0aws-cw-log-map.png to /var/www/m0aws/html/" >> ./adi2html.log
	cp ./m0aws-cw-log-map.png /var/www/YOUR-WEBSITE/html/
	rm ./m0aws-cw-log-map.png
	echo "=============================================" >> ./adi2html.log
fi

# Process FM Map PNG
if [ -f ./m0aws-fm-log-map.png ]
then
        date >> ./adi2html.log
	echo "Copying ./m0aws-fm-log-map.png to /var/www/m0aws/html/" >> ./adi2html.log
	cp ./m0aws-fm-log-map.png /var/www/YOUR-WEBSITE/html/
        rm ./m0aws-fm-log-map.png
	echo "=============================================" >> ./adi2html.log
fi

# Process SSB Map PNG
if [ -f ./m0aws-ssb-log-map.png ]
then
        date >> ./adi2html.log
	echo "Copying ./m0aws-ssb-log-map.png to /var/www/m0aws/html/" >> ./adi2html.log
	cp ./m0aws-ssb-log-map.png /var/www/YOUR-WEBSITE/html/
        rm ./m0aws-ssb-log-map.png
	echo "=============================================" >> ./adi2html.log
fi

# Process WSJT-X Map PNG
if [ -f ./m0aws-wsjtx-log-map.png ]
then
	date >> ./adi2html.log
	echo "Copying ./m0aws-wsjtx-log-map.png to /var/www/m0aws/html/" >> ./adi2html.log
	cp ./m0aws-wsjtx-log-map.png /var/www/YOUR-WEBSITE/html/
	rm ./m0aws-wsjtx-log-map.png
	echo "=============================================" >> ./adi2html.log
fi

exit 0
